{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/matching/looking_for_property_request_expose_forwarding') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/matching/looking_for_property_request_expose_forwarding') }}
{% endblock %}

{% block mainHeader %}
    {% set matchingDetailLastVisitedPage = fetch_object_from_session('App\\Domain\\Entity\\LastVisitedPage', 'matchingDetailReturnRoute') %}
    {% if matchingDetailLastVisitedPage != null %}
        {% set matchingDetailLastVisitedPagePath = path(matchingDetailLastVisitedPage.getRouteName(), matchingDetailLastVisitedPage.getParameters())  %}
    {% else %}
        {% set matchingDetailLastVisitedPagePath = path('company_location_management_matching_object_detail', {'id': buildingUnit.getId()})  %}
    {% endif %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ matchingDetailLastVisitedPagePath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Exposé weiterleiten, Objekt <i>{{ buildingUnit.getName() }}</i> </span>
        {{ form_widget(lookingForPropertyRequestExposeForwardingForm.submit, {'label': 'WEITERLEITEN', 'id': lookingForPropertyRequestExposeForwardingForm.submit.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h1 class="fs-4 d-flex align-items-center">Objekt-Exposé an das suchende Unternehmen weiterleiten.</h1>
            <p>
                Um das untenstehende Objekt an &raquo;{{ lookingForPropertyRequest.getPerson().buildDisplayName() }}&laquo; weiterzuleiten, klicken Sie bitte auf den WEITERLEITEN-Button oben rechts.
                Es wird dann automatisch eine E-Mail mit dem Hinweis auf das Objektexposé an das suchende Unternehmen gesandt.
            </p>
            {{ form_start(lookingForPropertyRequestExposeForwardingForm, {'attr': {'id': lookingForPropertyRequestExposeForwardingForm.vars.id ~ '_form'}}) }}
            {{ form_row(lookingForPropertyRequestExposeForwardingForm._token) }}
            {{ form_end(lookingForPropertyRequestExposeForwardingForm, {'render_rest': false}) }}
        </div>
        <div class="mb-4">
            {% include 'company_location_management/component/matching/object_detail_card_component.html.twig' with {'buildingUnit': buildingUnit} only %}
        </div>
    </div>
{% endblock %}
